Bug 147477 - "Open With" file properties tab shows radio select option for "No applications selected"
Summary: "Open With" file properties tab shows radio select option for "No application...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-08 13:24 UTC by James Laska
Modified: 2013-09-02 06:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 09:12:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Open With" dialog (22.73 KB, image/png)
2005-02-08 13:24 UTC, James Laska
no flags Details

Description James Laska 2005-02-08 13:24:25 UTC
RPM nautilus-2.9.90-1

The new-ish nautilus "Open With" file properties tab presents what appears to be
a selectable radio option when no applications are yet associated with a file
type/extension.  For example, I downloaded a .patch file and wanted to associate
it to gvim.  The "Open With" screen has a radio button next to the text "No
applications selected."  Would it be better to display this text without the
radio button? 

Attaching screenshot to demonstrate.

Comment 1 James Laska 2005-02-08 13:24:25 UTC
Created attachment 110795 [details]
"Open With" dialog

Comment 2 Alexander Larsson 2005-02-10 08:34:57 UTC
Hmm. That looks very strange. I don't think that happens unless you have a
desktop file with that description added. If you select this and click on the
file, what does it open?

Also, take a look in  ~/.local/share/applications/ and see what it contains.

Comment 3 James Laska 2005-02-10 13:46:30 UTC
(In reply to comment #2)
> If you select this and click on the file, what does it open?

I am unable to select the radio button with the label "No applications
Selected".  If I dbl click on the file I am presented with a dialog titled
"Can't Display Location" - Couldn't display "/home/jlaska/Desktop/mailman.patch".


> Also, take a look in  ~/.local/share/applications/ and see what it contains.

$ find .local/ -type f -print -exec cat {} \;
.local/share/applications/mimeinfo.cache
[MIME Cache]

.local/share/applications/defaults.list
[Default Applications]
text/x-patch=(null)

If I remove the "text/x-patch=(null)" line from
$HOME/.local/share/applications/defaults.list .. and restart nautilus it comes
back.  I imagine it is scanning my Desktop and seeing that file and adding it to
he list?

NOTE: The same behavior can be reproduced if you create an empty file with an
unknown extension (for example: "test file.asdf").

Comment 4 Alexander Larsson 2005-02-11 09:12:28 UTC
I fixed this upstream, will be in the next eel we import.


Note You need to log in before you can comment on or make changes to this bug.